Liberado Translate-me 0.4.1.0

Introducción

Estoy preparando una Lente, para traducir palabras e incluso frases directamente desde el Dash o Tablero, y he recordado Translate-me, que ya lo tenía algo olvidado, dado que como en su día ya lo migré para que estuviera disponible en Oneiric Ocelot y Gtk+ 3.0, lo tengía algo abandonado, y además cambié el motor de traducción de Google Translator a Apertium, por aquello de que Google dejaba de dar soporte gratuito a las traducciones.

Una vez realizada la migración, apareció un pequeño problema con los acentos, que no he sabido resolver hasta el día de hoy, pero que aprovechando mi empeño en sacar la lente para traducción, he conseguido a la vez solventar este asunto.

Translate-me

Translate-me 0.4.1.0

Para quien no conozca Translate-me, se trata de una sencilla e intuitiva interfaz gráfica para el motor de traducción de Apertium, aunque anteriormente utilizaba Google Translator. El funcionamiento, es muy sencillo, solo tienes que seleccionar el tipo de traducción a realizar, introducir el texto y pulsar el botón de traducir.

Translate-me

Para no levantar los dedos del teclado, puedes utilizar el atajo de teclado «Ctrl+Enter», cuando hayas terminado de escribir lo que quieres traducir, y directamente te aparecerá el texto traducido.

Las mejoras introducidas

La verdad es que además de corregir el terrible y pesado error de los acentos, y demás caracteres extraños que aparecían, pocos cambios he introducido. Básicamente comodidades, como que la ventana aparezca centrada en la pantalla, que recuerde las dimensiones con las que lo cerraste, y poco mas.

A efectos de funcionamiento, he cambiado el sistema que utilizaba para guardar las preferencias, acomodándolo a la nueva opción que he introducido, que consiste en guardarlo en el directorio del usuario en «~/.config/translate-me», resultando mucho mas estándar para emplearlo en otras distribuciones.

Instalación

Lo primero es añadir el repositorio, dado que no se encuentra en los repositorios de Ubuntu. Para ello tienes que ejecutar el siguiente comando en el terminal:

sudo add-apt-repository ppa:atareao/atareao && sudo apt-get update

Una vez añadido el repositorio y actualizado, puedes instalar la aplicación desde el Centro de Software de Ubuntu, haciendo clic en el siguiente enlace:

Instalar Translate-me

o bien desde el terminal:

sudo apt-get install translate-me

Diccionarios

Por defecto instalará el diccionario Inglés-Español, Español-Inglés, pero puedes instalar mas diccionarios desde el Centro de Software de Ubuntu, buscando «apertium», o directamente desde los siguientes enlaces:

Instalar diccionario para traducir entre español y portugués

Instalar diccionario para traducir entre español y gallego

Instalar diccionario para traducir entre portugués y catalán

Instalar diccionario para traducir entre esperanto y catalán

Instalar diccionario para traducir entre inglés y catalán

Instalar diccionario para traducir entre esperanto y español

Instalar diccionario para traducir entre occitano y español

Instalar diccionario para traducir entre francés y catalán

Instalar diccionario para traducir entre español y rumano

Instalar diccionario para traducir entre euskera y español

Instalar diccionario para traducir entre occitano y catalán

Instalar diccionario para traducir entre francés y español

Instalar diccionario para traducir entre inglés y español

Instalar diccionario para traducir entre portugués y gallego

Instalar diccionario para traducir entre español y catalán

Conclusiones

Una vez actualizado Translate-me a una nueva versión, y corregidos los errores que presentaba, me lanzo a terminar la Lente, para traducción desde el Dash.

Lo único que me queda pendiente de resolver es el asunto de añadir mas diccionarios a parte de los que se encuentran en el repositorio de Ubuntu. Soy consciente de que en SourceForge hay mas diccionarios, pero el problema es la instalación de los mismos. He estado mirando en Launchpad, a ver si localizaba algún repositorio desde donde instalarlo, pero no he sido capaz en absoluto. A ver si alguien sabe algún sitio para añadirlo a este artículo. Gracias.

6 comentarios en “Liberado Translate-me 0.4.1.0

  1. sayo hace 9 años

    Entonces la lente todavía no la has terminado, espero que la termines para porque me interesa.

  2. EJC hace 9 años

    Hola, disculpa, creo que deje un comentario en el lugar equivocado, bueno en fin, tengo una consulta: necesito instalar Translate-me en Fedora 17 x86-64, como puedo hacer?? hasta ahora solo encontré el código fuente que baje desde Launchpad (ver. 0.3.9) pero no veo como compilarlo, también encontré un RPM para Mandriva pero me pide dependencias viejas y algunas no estan en los repo. oficiales de Fedora 17.
    Desde ya gracias y ojala no estes tan «atareao» 😀

    EJC

  3. Migue_Luchis hace 9 años

    Estoy como EJC… Quisiera instalarlo en Fuduntu (Fedora) pero no encuentro como hacerlo.

    Saludos y gracias por este gran trabajo.

    1. El atareao hace 9 años

      Hola @60fd3e5e4203bca96e932f5687ee02e2:disqus y @disqus_Ynphqe0wNf:disqus ,

      no concozco Fedora, y tampoco he hecho ningún paquete para esta distribución. Sin embargo, si me echáis una mano estaría dispuesto a intentarlo. Para ello, necesito que una vez creado el paquete lo instaléis en vuestro equipo y me contéis la experiencia, problemas, etc…

      Ya me decís…

      Saludos

      1. Migue_Luchis hace 9 años

        Perfecto…. Yo me animo a colaborar en lo que pueda 🙂

  4. Toten hace 7 años

    Hola atareao, que tal? Mira he estado utilizando esta gran aplicación en la familia de ubuntu 12.04 sin ningún problema, pero al pasarme a la versión 14.04 no hay manera de instalarlo. Hay algún problema para esta nueva versión?

Deja una respuesta

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *